Bug 1009181 - anaconda will not install nss-pam-ldapd even if auth --enable-ldap is specified
anaconda will not install nss-pam-ldapd even if auth --enable-ldap is specified
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 18:22 EDT by og
Modified: 2014-06-24 03:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 03:04:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description og 2013-09-17 18:22:09 EDT
Description of problem:
anaconda will not install nss-pam-ldapd as dependency even if auth --enable-ldap is specified in kickstart config

How reproducible:
create a kickstart file with 
auth .... --enable-ldap .... -someldapoptions
# more options for valid kickstart
%packages
@...-desktop-environment
some
packages
but
not_nss-pam-ldapd
%end

Actual results:
nss-pam-ldapd is not installed. therefore ldap auth will not work after first boot. It has to installed manually via yum and authconfig has to be rerun.

Expected results:
have nss-pam-ldapd installed automatically as a dependency introduced by the parameters of auth. ldap auth is working.

Additional info:
Comment 1 Vratislav Podzimek 2013-09-23 14:27:12 EDT
(In reply to og from comment #0)
> Description of problem:
> anaconda will not install nss-pam-ldapd as dependency even if auth
> --enable-ldap is specified in kickstart config
> 
> How reproducible:
> create a kickstart file with 
> auth .... --enable-ldap .... -someldapoptions
> # more options for valid kickstart
> %packages
> @...-desktop-environment
> some
> packages
> but
> not_nss-pam-ldapd
> %end
> 
> Actual results:
> nss-pam-ldapd is not installed. therefore ldap auth will not work after
> first boot. It has to installed manually via yum and authconfig has to be
> rerun.
> 
> Expected results:
> have nss-pam-ldapd installed automatically as a dependency introduced by the
> parameters of auth. ldap auth is working.
To do that, anaconda would need a way to find out which packages should be installed as a dependency introduced by the parameters of auth. Do you know about any way to do so?

Otherwise we just forward the parameters to auth and we would really like avoid inspecting them and doing some magic on top of them.
Comment 2 og 2014-06-23 14:10:50 EDT
Sorry I don't know how this works internally. I'm a user, not a developer.
Comment 3 Vratislav Podzimek 2014-06-24 03:04:54 EDT
(In reply to og from comment #2)
> Sorry I don't know how this works internally. I'm a user, not a developer.
Fair point, but I'm afraid we cannot fix this issue in any "generic" way that would work with other options/commands as well. It looks more like a documentation issue to me.

Note You need to log in before you can comment on or make changes to this bug.